**Source URL:** https://limited.veevavault.dev/regulatory/vault-api/api-reference/22.3/rim-submissions-archive/export-partial-submission.md

# Export Partial Submission



Use this request to export only specific sections and documents from the latest version of a submissions binder in your Vault. This will export only parts of the binder, not the complete binder. Exporting a binder section node will automatically include all of its subsections and documents therein.

Before submitting this request:

* The Export Binder feature must be enabled in your Vault.

* You must be assigned permissions to use the API.

* You must have the Export Binder permission.

* You must have the View Document permission for the binder. Only documents in the binder which you have the View Document permission are available to export.

To export the latest version of a submissions binder:

<Endpoint path="/api/{version}/objects/binders/{binder_id}/actions/export?submission={submission_id}" method="POST"></Endpoint>
To export a specific version of a submissions binder:

<Endpoint path="/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}/actions/export?submission={submission_id}" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` or `text/csv` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{binder_id}` | The binder `id` field value. See [Retrieve Binders](/vault-api/api-reference/22.3/binders/retrieve-binders) above. |
| `{major_version}` | The `major_version_number__v` field value of the binder. |
| `{minor_version}` | The `minor_version_number__v` field value of the binder. |
| `{submission_id}` | The `id` field value of the `submission__v` object record. See [Retrieve Object Record Collection](/vault-api/api-reference/22.3/vault-objects/retrieve-object-record-collection) above. |
</FieldTable>

## Body {#body}

Create a CSV or JSON input file with the `id` values of the binder sections and/or documents to be exported. You may include any number of valid nodes. Vault will ignore `id` values which are invalid. See [Retrieve SubmissionsArchive Binder](/vault-api/api-reference/22.3/rim-submissions-archive/retrieve-submissionsarchive-binder) for how to get node values.

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
--data-binary @"C:\Vault\Binders\export-submissions-binder-sections.csv" \
https://myvault.veevavault.com/api/v15.0/objects/binders/454/1/0/actions/export?submission=00S000000000101

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "URL": "https://myvault.veevavault.com/api/v15.0/services/jobs/1201",
  "job_id": 1201
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response includes the following information:

* `URL` - The URL to retrieve the current status of the export job.

* `job_id` - The `job_id` field value is used to retrieve the [results](/vault-api/api-reference/22.3/rim-submissions-archive/retrieve-submission-export-results) of the export request.



---

**Previous:** [Export Submission](/regulatory/vault-api/api-reference/22.3/rim-submissions-archive/export-submission)  
**Next:** [Retrieve SubmissionsArchive Binder](/regulatory/vault-api/api-reference/22.3/rim-submissions-archive/retrieve-submissionsarchive-binder)